Loading...
Searching...
No Matches
dolfin::SparsityPatternBuilder Class Reference

`#include <SparsityPatternBuilder.h>`

## Static Public Member Functions

static void | build (SparsityPattern &sparsity_pattern, const Mesh &mesh, const std::vector< const GenericDofMap * > dofmaps, bool cells, bool interior_facets, bool exterior_facets, bool vertices, bool diagonal, bool init=true, bool finalize=true)
| Build sparsity pattern for assembly of given form.
static void | build_mixed (SparsityPattern &sparsity_pattern, const Mesh &mesh, std::vector< std::size_t > mesh_ids, const std::vector< const GenericDofMap * > dofmaps, bool cells, bool interior_facets, bool exterior_facets, bool vertices, bool diagonal, bool init=true, bool finalize=true)
static void | build_multimesh_sparsity_pattern (SparsityPattern &sparsity_pattern, const MultiMeshForm &form)
| Build sparsity pattern for assembly of given multimesh form.

## Detailed Description

This class provides functions to compute the sparsity pattern based on DOF maps

## Member Function Documentation

## build()

void SparsityPatternBuilder::build | ( | SparsityPattern & | sparsity_pattern,
|  | const Mesh & | mesh,
|  | const std::vector< const GenericDofMap * > | dofmaps,
|  | bool | cells,
|  | bool | interior_facets,
|  | bool | exterior_facets,
|  | bool | vertices,
|  | bool | diagonal,
|  | bool | init = true,
|  | bool | finalize = true )

static

Build sparsity pattern for assembly of given form.

Mono-domain version : Call the more generic build_mixed with mesh_ids[0] = mesh_ids[1] = integration mesh mesh_ids[0] is the mesh id associated with the test function mesh_ids[1] is the mesh id associated with the trial function

## build_mixed()

void SparsityPatternBuilder::build_mixed | ( | SparsityPattern & | sparsity_pattern,
|  | const Mesh & | mesh,
|  | std::vector< std::size_t > | mesh_ids,
|  | const std::vector< const GenericDofMap * > | dofmaps,
|  | bool | cells,
|  | bool | interior_facets,
|  | bool | exterior_facets,
|  | bool | vertices,
|  | bool | diagonal,
|  | bool | init = true,
|  | bool | finalize = true )

static

Mixed-domains - Mixed-dimensional version (Test and trial function can belong to different meshes) Mesh is the integration mesh (associated with the form) mesh_ids[0] is the mesh id associated with the test function mesh_ids[1] is the mesh id associated with the trial function

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/SparsityPatternBuilder.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/SparsityPatternBuilder.cpp